// 语音播报模块

import { httpGet, httpPost } from "@/utils/request.js";

/**
 * 语音列表
 * @param page_index 
 * @param page_size
 * @param broadcast_id 语音id
 * @param section_id 板块id
 */
export const apiVoiceList=params=>{
    return httpPost('/voice/broadcast/list',params)
}

/**
 * 语音板块列表
 */
export const apiVoiceSectionList=()=>{
    return httpGet('/voice/broadcast/section/list',{})
}

/**
 * 删除语音
 * @param broadcast_id
 */
export const apiVoiceDel=params=>{
    return httpGet('/voice/broadcast/delete',params)
}

/**
 * 播放记录
 * @param broadcast_id
 * @param source 来源平台：1:小程序、2:小程序(pc)、3:公众号、4:官网web(pc)
 */
export const apiVoicePlayRecord=params=>{
    return httpPost('/voice/broadcast/statistics/add',{...params,source:1})
}